Skip to content

AcctLimit⁠

Perform various operations for Symitar parameters.

Operations⁠

getAcctLimitSelectFields⁠

POST

Execute the persistent ParameterService getAcctLimitSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getAcctLimitSelectFields
POST /nexum/627/persistent/parameter/getAcctLimitSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllAcctLimitFields": true,
    "AcctLimitFields": {
      "LimitDescription": [
        0
      ],
      "LimitSourceCodes": [
        0
      ],
      "LimitTransactionSubType": [
        0
      ],
      "LimitTransactionType": [
        0
      ],
      "WarningCodeList": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateAcctLimitByID⁠

POST

Execute the persistent ParameterService updateAcctLimitByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateAcctLimitByID
POST /nexum/627/persistent/parameter/updateAcctLimitByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "AcctLimitFields": {
    "LimitDescription": [
      {
        "EntryId": 0,
        "LimitDescription": "string"
      }
    ],
    "LimitSourceCodes": [
      {
        "EntryId": 0,
        "LimitSourceCodes": "string"
      }
    ],
    "LimitTransactionSubType": [
      {
        "EntryId": 0,
        "LimitTransactionSubType": "string"
      }
    ],
    "LimitTransactionType": [
      {
        "EntryId": 0,
        "LimitTransactionType": 0
      }
    ],
    "WarningCodeList": [
      {
        "EntryId": 0,
        "WarningCodeList": {
          "Bit": [
            0
          ]
        }
      }
    ]
  },
  "nxAttributes": {
    "customFields": {}
  }
}